Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.misc
Class LengthNormModifier

    java.lang.Object
      org.apache.lucene.misc.LengthNormModifier

    public class LengthNormModifier

extends Object

Given a directory, a Similarity, and a list of fields, updates the fieldNorms in place for every document using the Similarity.lengthNorm.

NOTE: This only works if you do not use field/document boosts in your index.

Version:
  $Id$

Constructor Summary
`LengthNormModifier(Directory d, Similarity s)` Constructor for code that wishes to use this class progaomatically.

Method Summary
`static void` | `main(String[] args)` Command Line Execution method.
`void` | `reSetNorms(String field)` Resets the norms for the specified field.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LengthNormModifier

    public LengthNormModifier(Directory d,
                              Similarity s)

  Constructor for code that wishes to use this class progaomatically.

  Parameters:
    `d` - The Directory to modify
    `s` - The Similarity to use in `reSetNorms`

Method Detail

### main

    public static void main(String[] args)
                     throws IOException

  Command Line Execution method.

       Usage: LengthNormModifier /path/index package.SimilarityClassName field1 field2 ...

  Throws:
    `IOException`

### reSetNorms

    public void reSetNorms(String field)
                    throws IOException

  Resets the norms for the specified field.

  Opens a new IndexReader on the Directory given to this instance, modifies the norms using the Similarity given to this instance, and closes the IndexReader.

  Parameters:
    `field` - the field whose norms should be reset
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.